<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_69c6236c92" . "7bc93c5d062" . "074967d834d" => base64_decode("cGFnZV92ZXJ" . "zaW9u"), "_2aef71f103069bdb72b57d0b" . "3bd1d294" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLSBwYWdlIG5vdCBpZGV" . "udGlmaWVk"), "_1a6a10bd09998" . "ad0ae2a2b4e0fd" . "966e8" => base64_decode("U0NSSVBUX1VS" . "SQ=="), "page" . "_id" => base64_decode("cGF" . "nZV" . "9pZ" . "A=="));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_1a6a10bd09998a" . "d0ae2a2b4e0fd96" . "6e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2aef71f103069bdb72b" . "57d0b3bd1d294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["pag" . "e_i" . "d"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $comments = new PublishComments($attributes[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["pag" . "e_i" . "d"]], $attributes[$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_69c6236c927bc93c5d062074967d834" . "d"]]);
        return $comments;
    }
}